Package: org.codehaus.groovy.runtime

## [Java] Class DefaultMethodKey

- org.codehaus.groovy.runtime.DefaultMethodKey

- A default implementation of MethodKey

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultMethodKey (Class sender, String name, Class[] parameterTypes, boolean isCallToSuper)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `getParameterCount()`
    `Class` | `getParameterType(int index)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodKey` | `createCopy, createHashCode, equals, equals, getName, getParameterCount, getParameterType, getParamterTypes, hashCode, toString`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public DefaultMethodKey(Class sender, String name, Class[] parameterTypes, boolean isCallToSuper)

  - ### Method Detail

    - #### public int getParameterCount()

    - #### public Class getParameterType(int index)